Admiral

Sources

Get a source

GET
/v1/sources/{source_id}

Scope: source:read

Authorization

bearerAuth
AuthorizationBearer <token>

An API key, or an access token minted from one. Pass it in the Authorization header: Bearer admp_...

In: header

Path Parameters

source_id*source_id

The source_id path parameter.

Match^src-[0-9a-z]+$

Response Body

application/json

curl -X GET "https://example.com/v1/sources/string"
{  "source": {    "id": "string",    "name": "string",    "description": "string",    "kind": "KIND_UNSPECIFIED",    "location": "string",    "trigger": "TRIGGER_UNSPECIFIED",    "allows": [      "string"    ],    "settings": {      "git": {        "branches": [          "string"        ],        "pull_request_comment": "PULL_REQUEST_COMMENT_UNSPECIFIED"      }    },    "status": "STATUS_UNSPECIFIED",    "status_reason": "string",    "created_by": {      "id": "string",      "display_name": "string",      "email": "string"    },    "created_at": "2023-01-15T01:30:15.01Z",    "updated_at": "2023-01-15T01:30:15.01Z",    "credential_id": "string"  }}